Page MenuHomeFreeBSD

stand: add comconsole backwards compatibility shim for aarch64
ClosedPublic

Authored by imp on May 5 2023, 9:54 PM.
Tags
None
Referenced Files
F88939419: D39983.diff
Sun, Jul 21, 3:49 AM
Unknown Object (File)
Wed, Jul 3, 5:56 PM
Unknown Object (File)
May 3 2024, 8:55 AM
Unknown Object (File)
Apr 27 2024, 5:59 AM
Unknown Object (File)
Mar 7 2024, 11:27 AM
Unknown Object (File)
Mar 7 2024, 9:50 AM
Unknown Object (File)
Mar 7 2024, 9:01 AM
Unknown Object (File)
Mar 7 2024, 6:40 AM
Subscribers

Details

Summary

Add a compat shim for the "comconsole" name so that people with a
"console=comconsole" in their loader.conf on aarch64 will continue to
work (though with a warning).

This is only aarch64: it will never be there for amd64 (where comconsole
always means talk to the hardware directly). To do that is too hard.

Sponsored by: Netflix

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

imp requested review of this revision.May 5 2023, 9:54 PM
rpokala added inline comments.
stand/efi/loader/efiserialio.c
351

"comconsole: \"comconsole\" device name is deprecated, switch to \"eficom\"\n"

This revision was not accepted when it landed; it landed in state Needs Review.May 11 2023, 8:07 PM
This revision was automatically updated to reflect the committed changes.